Name:       ocaml-gg
Version:    0.8.0
Release:    %mkrel 2
Summary:    Basic types for computer graphics in OCaml
Group:      Development/OCaml
License:    BSD3
URL:        http://erratique.ch/software/gg
Source0:    http://erratique.ch/software/gg/releases/gg-%{version}.tbz

BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-compiler-libs

%description
Gg is an OCaml module providing basic types for computer graphics.
It defines types and functions for floats, vectors, points, sizes,
matrices, quaternions, axis aligned boxes, colors, color spaces,
and raster data.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n gg-%{version}

%build
./pkg/build true

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/gg
pushd _build/src/
  rm -f *.depends
  ocamlfind install gg \
    ../../pkg/META \
    *.a *.cm* *.annot *.ml*
popd

%files
%doc README.md AUTHORS.md
%doc CHANGES.md TODO.md
%dir %{_libdir}/ocaml/gg
%{_libdir}/ocaml/gg/META
%{_libdir}/ocaml/gg/*.cmi
%{_libdir}/ocaml/gg/*.cma
%{_libdir}/ocaml/gg/*.cmo
%{_libdir}/ocaml/gg/*.cmxs

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/gg/*.a
%{_libdir}/ocaml/gg/*.cmxa
%{_libdir}/ocaml/gg/*.cmx
%{_libdir}/ocaml/gg/*.annot
%{_libdir}/ocaml/gg/*.cmt
%{_libdir}/ocaml/gg/*.cmti
%{_libdir}/ocaml/gg/*.mli
%{_libdir}/ocaml/gg/*.ml


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.8.0-2.mga4
+ Revision: 537830
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 blue_prawn <blue_prawn> 0.8.0-1.mga4
+ Revision: 487864
- build requires ocaml-compiler-libs
- imported package ocaml-gg

